[PATCH v2] devel: add script to test out-of-tree builds

Subject: [PATCH v2] devel: add script to test out-of-tree builds

Date: Mon, 11 Sep 2017 20:17:47 +0300

To: Jani Nikula, notmuch@notmuchmail.org

Cc:

From: Jani Nikula


Something I used for 'git bisect run', but we should really add this
as part of our process.

---

v2: add set -u, and remove the useless cd.
---
 devel/out-of-tree-build-check.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 devel/out-of-tree-build-check.sh

diff --git a/devel/out-of-tree-build-check.sh b/devel/out-of-tree-build-check.sh
new file mode 100755
index 000000000000..984b4b5f65f5
--- /dev/null
+++ b/devel/out-of-tree-build-check.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# test out-of-tree builds in a temp directory
+# passes all args to make
+
+set -eu
+
+srcdir="$(cd "$(dirname "$0")"/.. && pwd)"
+builddir=$(mktemp -d)
+
+cd $builddir
+
+$srcdir/configure
+make "$@"
+
+rm -rf $builddir
-- 
2.11.0

_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
https://notmuchmail.org/mailman/listinfo/notmuch

Thread: